import { FormHook } from "../../features/form-hook/form-hook";
import { FormElement } from "../../features/form-hook/interface";
export declare class FormTimePicker implements FormElement {
    name: string;
    wrapperId: string;
    isLoading?: boolean;
    isDisabled?: boolean;
    form: FormHook<any>;
    wrapperClass: string;
    staticValue?: string;
    defaultValue?: string;
    minTime?: string;
    maxTime?: string;
    minuteStep?: number;
    isOpen: boolean;
    selectedValue: string;
    openUpwards: boolean;
    el: HTMLElement;
    componentWillLoad(): Promise<void>;
    onStaticValueChange(newStaticValue?: string): Promise<void>;
    componentDidLoad(): Promise<void>;
    disconnectedCallback(): Promise<void>;
    reset(newValue?: string): void;
    handleOutsideClick: (event: MouseEvent) => void;
    handleKeyDown: (event: KeyboardEvent) => void;
    toggleDropdown: () => void;
    adjustDropdownPosition(): void;
    private scrollToSelected;
    private toTimeMinutes;
    private isHourDisabled;
    private isMinuteDisabled;
    private getSelectedHour;
    private getSelectedMinute;
    private formatTime;
    selectHour: (hour: number) => void;
    selectMinute: (minute: number) => void;
    render(): any;
}
